HeaderButtonType (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.scene.layout, enum: HeaderButtonType

# Enum Class HeaderButtonType

java.lang.Object
java.lang.Enum<HeaderButtonType>
javafx.scene.layout.HeaderButtonType

All Implemented Interfaces:
  `Serializable, Comparable<HeaderButtonType>, Constable`

@Deprecated(since="25") public enum HeaderButtonType extends Enum<HeaderButtonType>
Deprecated.
This is a preview feature which may be changed or removed in a future release.
Identifies the semantic type of a button in a custom `HeaderBar`, which enables integrations with the platform window manager. For example, hovering over a `MAXIMIZE` button on Windows will summon snap layouts.

Since:
  25
See Also:
  - `HeaderBar.setButtonType(Node, HeaderButtonType)`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLOSE`
  Deprecated.
  Identifies the close button.
  `ICONIFY`
  Deprecated.
  Identifies the iconify button.
  `MAXIMIZE`
  Deprecated.
  Identifies the maximize button.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HeaderButtonType`
  `valueOf(String name)`
  Deprecated.
  Returns the enum constant of this class with the specified name.
  `static HeaderButtonType[]`
  `values()`
  Deprecated.
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ICONIFY

    public static final HeaderButtonType ICONIFY
    Deprecated.
    Identifies the iconify button.
    See Also:
      - `Stage.isIconified()`
      - `Stage.setIconified(boolean)`

  - ### MAXIMIZE

    public static final HeaderButtonType MAXIMIZE
    Deprecated.
    Identifies the maximize button.

    This button toggles the `Stage.isMaximized()` or `Stage.isFullScreen()` property, depending on platform-specific invocation semantics. For example, on macOS the button will put the window into full-screen mode by default, but maximize it to cover the desktop when the option key is pressed.

    If the window is maximized, the button will have the `maximized` pseudo-class.

    See Also:
      - `Stage.isMaximized()`
      - `Stage.setMaximized(boolean)`
      - `Stage.isFullScreen()`
      - `Stage.setFullScreen(boolean)`

  - ### CLOSE

    public static final HeaderButtonType CLOSE
    Deprecated.
    Identifies the close button.
    See Also:
      - `Stage.close()`

- ## Method Details

  - ### values

    public static HeaderButtonType[] values()
    Deprecated.
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HeaderButtonType valueOf(String name)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null